<?php 
$heading = get_field('heading'); 
$heading_sub = get_field('heading_sub'); 
$Opis = get_field('Opis'); 
$gry_posts = get_field('gry'); 


$style = get_field('style');

if( $style == 'Karuzela' ) {

?>
<section class="play-games-section">
	<div class="container">
        <div class="web-heading heading-divider text-center secondary">
            <h2><?php echo $heading; ?></h2>
            <?php echo $Opis; ?>
            <h4><?php echo $heading_sub; ?></h4>
        </div>
		<div class="play-games-carousel owl-carousel owl-theme">
            <?php foreach ($gry_posts as $key => $gra) { 
                    $image = wp_get_attachment_image_src( get_post_thumbnail_id( $gra->ID ), 'full' ); 
                    $link=get_post_meta($gra->ID, 'game_url', true);   
                ?>
    			<div class="item">
    				<div class="article-card v2">
                        <a href="<?php echo esc_url($link); ?>" class="d-flex">
                            <div class="article-featured-img">
                                <img src="<?php echo $image[0] ;?>" alt="img">
                            </div>
                            <div class="article-content text-center">
                                <div class="article-top">
                                    <h5 ><?php echo get_the_title( $gra->ID ); ?></h5>
                                </div>
                            </div>
                        </a>
                    </div>
    			</div>
			<?php } ?>
		</div>
	</div>
</section>

<script>
    $(document).ready(function() {
        function initializeOwlCarousel() {
            // Destroy existing Owl Carousel if it's already initialized
            if ($('.play-games-carousel').hasClass('owl-loaded')) {
                $('.play-games-carousel').trigger('destroy.owl.carousel');
            }
            $('.play-games-carousel').removeClass('owl-carousel owl-theme').addClass('row');
            $('.play-games-carousel').find('.item').addClass('col-md-6 col-lg-3');
            // Initialize Owl Carousel for screens less than 768px
            if ($(window).width() < 768) {
                $('.play-games-carousel').addClass('owl-carousel owl-theme').removeClass('row');
                $('.play-games-carousel').find('.item').removeClass('col-md-6 col-lg-3');
                $('.owl-carousel.play-games-carousel').owlCarousel({
                    loop:false,
                    margin:30,
                    nav:true,
                    dots:false,
                    autoHeight:true,
                    navText:[
                        '<svg width="21" height="18" viewBox="0 0 21 18" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M20.0829 9.04888L2.08298 9.11681M2.08298 9.11681L9.70686 17.0881M2.08298 9.11681L9.64649 1.08821" stroke="#042B60" stroke-width="2"/></svg>',
                            '<svg width="20" height="18" viewBox="0 0 20 18" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.165771 9.08289H18.1658M18.1658 9.08289L10.572 1.08289M18.1658 9.08289L10.572 17.0829" stroke="#042B60" stroke-width="2"/></svg>'],
                    responsive:{
                        0:{
                            items:1,
                            nav: true
                        },
                        768:{
                            items:2,
                            
                        },
                        992:{
                            items:4,
                            nav: false
                        }
                    }
                });
            }
        }
        // Initial check on page load
        initializeOwlCarousel();
        // Reinitialize on window resize
        $(window).on('resize', function() {
            initializeOwlCarousel();
        });
    });
    
</script>

<?php } else { ?>
<section class="play-games-section">
    <?php echo do_shortcode('[games-page-shortcode]'); ?>
</section>
<?php } ?>