<?php
$banner_type = get_field('banner_type');
$bannerRows = get_field('banner_home_items');
//$bannerOneImage = get_field('banner_home_image');
?>
<section class="home-main <?php if($banner_type=="Cała szerokość"): echo 'home-main-2';  endif;?>">
    <div class="container">
        <div class="home-main-carousel owl-carousel owl-theme">
            <?php

            foreach( $bannerRows as $keyBanner => $banner ) : 
                $homeMain2 = '';
                if($banner_type=="Cała szerokość") {
                    $homeMain2 = ' .home-main-2" style="{background-image: url('. $banner['banner_home_image'] .');}';
                }

            ?>

            <div class="item <?php echo $homeMain2; ?>">
                    <div class="row <?php if($banner_type=="Lewo") echo ' flex-row-reverse';?>">

                    <div class="col-lg-6">
                        <div class="content">

                            <div class="web-heading heading-divider secondary">

                                <h1><?php echo $banner['title']; ?></h1>

                            </div>

                            <p><?php echo $banner['description']; ?></p>
                            
                            <div class="web-btn d-flex">
                                <a href="<?php echo $banner['button_url']; ?>" class="link-btn">
                                    <span><?php echo $banner['button_text']; ?></span>
                                    <div class="icon">
                                        <img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
                                    </div>    
                                </a>
                            </div>


                        </div>

                    </div>
                    <?php if($banner_type!="Cała szerokość") : ?> 
                    <div class="col-lg-6">
                        <div class="block-img">
                            <img src="<?php echo $banner['banner_home_image']; ?>" alt="img">
                        </div>
                    </div>
                    <?php endif; ?>
                </div>

            </div>

            <?php
            
            endforeach;

            ?>

        </div>
        
    </div>
    <?php //if (is_admin()) : ?>
		<script>
			$(document).ready(function() {
				$('.owl-carousel.home-main-carousel').owlCarousel({
                    loop:false,
                    margin:30,
                    nav:true,
                    dots:true,
                    autoHeight:true,
                    navText:[
                        '<svg width="21" height="18" viewBox="0 0 21 18" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M20.0829 9.04888L2.08298 9.11681M2.08298 9.11681L9.70686 17.0881M2.08298 9.11681L9.64649 1.08821" stroke="#042B60" stroke-width="2"/></svg>','<svg width="20" height="18" viewBox="0 0 20 18" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.165771 9.08289H18.1658M18.1658 9.08289L10.572 1.08289M18.1658 9.08289L10.572 17.0829" stroke="#042B60" stroke-width="2"/></svg>'],
                    responsive:{
                        0:{
                            items:1,
                            nav: false
                        },
                        768:{
                            items:1,
                        }
                    }
                });
			});
		</script>
	<?php //endif; ?>
</section>

