<?php 

$repeater = get_field('obraz_tytul_repeater'); 

?>

<section class="logo-img-section">

	<div class="container">

		<div class="row">

            <?php foreach ($repeater as $key => $item) { 
                
                    $icon_url=$item['obraz'];
                    if (!function_exists('fetch_svg_content')) {
                        function fetch_svg_content($url) {
                            $response = wp_remote_get($url);
                            if (is_wp_error($response)) {
                                return ''; // Return empty if there's an error
                            }
                            return wp_remote_retrieve_body($response);
                        }
                    }
                    $file_extension = pathinfo($icon_url, PATHINFO_EXTENSION);
                ?>

    			<div class="col-md-3">

                    <div class="article-featured-img">

                        <?php  
                            if ( $icon_url ) { 
                                $svg_content = '<img class="svg" src="' . esc_url($icon_url) . '" alt="SVG Image">';
                                 echo $svg_content; // Output the SVG content directly 
                            } 
                        ?>

                    </div>

                    <div class="article-content text-center mt-2">

                        <div class="article-top">

                            <p><?php echo $item['tytul'];?></p>

                        </div>

                    </div>

    			</div>

			<?php } ?>

		</div>

	</div>

</section>