<?php 
	$about_title = get_field('about_title');
	$about_description = get_field('about_description');
	$about_button_text = get_field('about_button_text');
	$about_button_url = get_field('about_button_url');
	$about_image = get_field('about_image');
	$image_position = get_field('image_position');
	$image_tiles = get_field('image_tiles');

?>
<section class="block-with-image">
	<div class="container">
		<div class="row align-items-center <?php if($image_position=="Prawo"): echo 'flex-row-reverse';  endif;?> ">
			<div class="col-lg-7">
				<div class="block-img">
					<?php if( !empty($about_image) ) : ?>
					<img src="<?php echo $about_image; ?>" alt="<?php echo $about_title; ?>" title="<?php echo $about_title; ?>">
					<?php endif; ?>
					<?php $count=1; 
					if($image_position=="Lewo"): $count=3;  endif;
					foreach( $image_tiles as $tiles ) : ?>
                    <div class="block-img-text block-img-text-<?php echo $count; ?>">
                    	<h6><?php echo $tiles['tile_text']; ?></h6>
                        <?php echo $tiles['description']; ?>
                        
                    </div>
                     <?php $count++; endforeach; ?>
				</div>
			</div>
			<div class="col-lg-5">
				<div class="content">
					<div class="web-heading heading-divider secondary">
						<h2><?php echo $about_title; ?></h2>
					</div>
					<?php echo $about_description; ?>
					<?php 
					if( !empty($about_button_text) ) :	
						if($image_position=="Prawo"): 
						?>
						<div class="web-btn two-icon-btn d-flex">
							<a href="<?php echo $about_button_url; ?>" class="link-btn">
								<div class="icon">
									<img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/journalism-1.svg" alt="icon" aria-hidden="true">
								</div>    
								<span><?php echo $about_button_text; ?></span>
								<div class="icon icon-right">
									<svg width="20" height="18" viewBox="0 0 20 18" fill="none" xmlns="http://www.w3.org/2000/svg">
										<path d="M0 8.68066H18M18 8.68066L10.4062 0.680664M18 8.68066L10.4062 16.6807" stroke="#042B60" stroke-width="2"/>
									</svg>

									<!-- <img decoding="async" src="<?php echo get_template_directory_uri() ?>/images/arrow-right.svg" alt="icon" aria-hidden="true"> -->
								</div>     
							</a>
						</div>
						<?php else: ?>
						<div class="web-btn d-flex">
							<a href="<?php echo $about_button_url; ?>" class="link-btn">
								<span><?php echo $about_button_text; ?></span>
								<div class="icon">
									<img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
								</div>    
							</a>
						</div>
						<?php endif; ?>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>
</section>